dsdpadddata.c File Reference

Set block sizes, sparsity, format, and data matrices. More...

Go to the source code of this file.

## Functions

int | SDPConeCheckI (SDPCone sdpcone, int vari)
| Check validity of parameter.
int | SDPConeCheckJ (SDPCone sdpcone, int blockj)
| Check validity of parameter.
int | SDPConeCheckM (SDPCone sdpcone, int m)
| Check validity of parameter.
int | SDPConeCheckN (SDPCone sdpcone, int blockj, int n)
| Check validity of parameter.
int | SDPConeCheckStorageFormat (SDPCone sdpcone, int blockj, char format)
| Check validity of parameters.
int | SDPConeClearVMatrix (SDPCone sdpcone, int blockj, int n)
| Free V matrix.
int | SDPConeSetRMatrix (SDPCone sdpcone, int blockj, int n, char format, struct DSDPDataMat_Ops *dsdpdataops, void *data)
| Add identity to dual matrix.
int | SDPConeSetXMat (SDPCone sdpcone, int blockj, int n)
| Create X matrix.
int | SDPConeValidStorageFormat (SDPCone sdpcone, char format)
| Check validity of parameter.

## Detailed Description

Set block sizes, sparsity, format, and data matrices.

Definition in file dsdpadddata.c.

## Function Documentation

## SDPConeCheckI()

int SDPConeCheckI | ( | SDPCone | sdpcone,
|  | int | vari
| ) |  |

Check validity of parameter.

Parameters

  sdpcone | SDP cone
  vari | variable i from 0 through m

Definition at line 15 of file dsdpadddata.c.

## SDPConeCheckJ()

int SDPConeCheckJ | ( | SDPCone | sdpcone,
|  | int | blockj
| ) |  |

Check validity of parameter.

Parameters

  sdpcone | SDP cone
  blockj | from 0 to nblocks

Definition at line 31 of file dsdpadddata.c.

Referenced by SDPConeCheckN(), SDPConeCheckStorageFormat(), SDPConeComputeRHS(), SDPConeComputeXX(), SDPConeMultiply(), and SDPConeSetRMatrix().

## SDPConeCheckM()

int SDPConeCheckM | ( | SDPCone | sdpcone,
|  | int | m
| ) |  |

Check validity of parameter.

Parameters

  sdpcone | SDP cone
  m | number of y variables

Definition at line 68 of file dsdpadddata.c.

## SDPConeCheckN()

int SDPConeCheckN | ( | SDPCone | sdpcone,
|  | int | blockj,
|  | int | n
| ) |  |

Check validity of parameter.

Parameters

  sdpcone | SDP cone
  blockj | block number
  n | dimension of block.

Definition at line 48 of file dsdpadddata.c.

Referenced by SDPConeSetRMatrix().

## SDPConeCheckStorageFormat()

int SDPConeCheckStorageFormat | ( | SDPCone | sdpcone,
|  | int | blockj,
|  | char | format
| ) |  |

Check validity of parameters.

Parameters

  sdpcone | SDP cone
  blockj | block number
  format | such as packed symmetric or upper full symmetric

Definition at line 101 of file dsdpadddata.c.

Referenced by SDPConeSetRMatrix().

## SDPConeClearVMatrix()

int SDPConeClearVMatrix | ( | SDPCone | sdpcone,
|  | int | blockj,
|  | int | n
| ) |  |

Free V matrix.

Parameters

  sdpcone | SDP cone
  blockj | block number j from 0 to nblocks
  n | dimension of the matrix

Definition at line 228 of file dsdpadddata.c.

Referenced by SDPConeSetXMat().

## SDPConeSetRMatrix()

int SDPConeSetRMatrix | ( | SDPCone | sdpcone,
|  | int | blockj,
|  | int | n,
|  | char | format,
|  | struct DSDPDataMat_Ops * | dsdpdataops,
|  | void * | data
| ) |  |

Add identity to dual matrix.

Parameters

  sdpcone | SDP cone
  blockj | block number j from 0 to nblocks
  n | dimension of the matrix
  format | storage format 'P' (default) or 'U'
  data | address of a structure ( cast to `void*` ) with matrix data.
  dsdpdataops | address of a structure of function pointers that operate on the matrix data

See also
  SDPConeSetASparseVecMat()
  SDPConeSetStorageFormat()
  SDPConeSetBlockSize()
  SDPConeCheckData()

Definition at line 181 of file dsdpadddata.c.

Referenced by SDPConeSetRIdentity().

## SDPConeSetXMat()

int SDPConeSetXMat | ( | SDPCone | sdpcone,
|  | int | blockj,
|  | int | n
| ) |  |

Create X matrix.

Parameters

  sdpcone | SDP cone
  blockj | block number j from 0 to nblocks
  n | dimension of the matrix

Definition at line 247 of file dsdpadddata.c.

## SDPConeValidStorageFormat()

int SDPConeValidStorageFormat | ( | SDPCone | sdpcone,
|  | char | format
| ) |  |

Check validity of parameter.

Parameters

  sdpcone | SDP cone
  format | such as packed symmetric or upper full symmetric

Definition at line 84 of file dsdpadddata.c.

Referenced by SDPConeCheckStorageFormat().